Access rights
Delete metaproperty access
delete
Path Parameters
metaproperty_idstringrequired
Metaproperty id.
Body
application/json
Body
application/json
ApiContentAccessMetapropertiesRequest1
contentAccessIdsarray[string]
Response
204
Response
204
Metaproperty access deleted
delete/api/content_access/metaproperties/{metaproperty_id}
Authentication
UnauthenticatedPath Parameters
Body
{}
204
Retrieve metaproperty access
get
Path Parameters
metaproperty_idstringrequired
Metaproperty id.
Response
200 application/json
Response
200 application/json
Successful retrieval of metaproperty access
contentIdstring
Example:00000000-0000-0000-0000-000000000000
contentTypestring
Example:metaproperty
idstring
Example:00000000-0000-0000-0000-000000000000
levelstring
Example:metaproperty.hide
principalExtraInformationobject
Show Child Parameters
principalIdstring
Example:00000000-0000-0000-0000-000000000000
principalNamestring
Example:User full name
principalTypestring
Example:user
ruleTypestring
Example:allow
get/api/content_access/metaproperties/{metaproperty_id}
Authentication
UnauthenticatedPath Parameters
200 application/json
Create metaproperty access
post
Path Parameters
metaproperty_idstringrequired
Metaproperty id.
Body
application/json
Body
application/json
ApiContentAccessMetapropertiesRequest
levelstring
Example:metaproperty.hide
principalsarray[object]
Show Child Parameters
Response
201 application/json
Response
201 application/json
Metaproperty access created
principalIdstring
Example:00000000-0000-0000-0000-000000000000
principalTypestring
Example:user
post/api/content_access/metaproperties/{metaproperty_id}
Authentication
UnauthenticatedPath Parameters
Body
{}
201 application/json